> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Session

> Revoke a Member Session, immediately invalidating the session token and JWT

To revoke a specific Session, pass either the `member_session_id`, `session_token`, or `session_jwt`. To revoke all Sessions for a Member, pass the `member_id`.


## OpenAPI

````yaml POST /v1/b2b/sessions/revoke
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/b2b/sessions/revoke:
    post:
      tags:
        - Session
      summary: Revoke
      description: >-
        Revoke a Session and immediately invalidate all its tokens. To revoke a
        specific Session, pass either the `member_session_id`, `session_token`,
        or `session_jwt`. To revoke all Sessions for a Member, pass the
        `member_id`.
      operationId: api_b2b_session_v1_Revoke
      parameters:
        - name: X-Stytch-Member-Session
          in: header
          required: false
          description: >-
            A Stytch session that can be used to run the request with the given
            member's permissions.
          schema:
            type: string
        - name: X-Stytch-Member-SessionJWT
          in: header
          required: false
          description: >-
            A Stytch Session JSON Web Token (JWT) that can be used to run the
            request with the given member's permissions.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api_b2b_session_v1_RevokeRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_b2b_session_v1_RevokeResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // POST /v1/b2b/sessions/revoke
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              member_id: "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
            };

            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };

            client.Sessions.Revoke(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// POST /v1/b2b/sessions/revoke\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/sessions\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/methodoptions\"\n)\n\nfunc main() {\n\tclient, err := b2bstytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &sessions.RevokeParams{\n\t\tMemberID: \"member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f\",\n\t}\n\n\toptions := &sessions.RevokeParamsOptions{\n\t\tAuthorization: methodoptions.Authorization{\n\t\t\tSessionToken: \"${sessionToken}\",\n\t\t},\n\t}\n\n\tresp, err := client.Sessions.Revoke(context.Background(), params, options)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: |-
            // POST /v1/b2b/sessions/revoke
            package com.example;

            import com.stytch.java.b2b.models.sessions.RevokeRequest;
            import com.stytch.java.b2b.models.sessions.RevokeRequestOptions;
            import com.stytch.java.b2b.StytchB2BClient;
            import com.stytch.java.common.methodoptions.Authorization;
            import com.stytch.java.common.StytchResult;

            public class Main {
                public static void main(String[] args) {
                    StytchB2BClient.configure("${projectId}", "${secret}");

                    RevokeRequest params = new RevokeRequest();
                    params.setMemberId("member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f");

                    RevokeRequestOptions options = new RevokeRequestOptions();
                    Authorization authorization = new Authorization();
                    authorization.setSessionToken("${sessionToken}");
                    options.setAuthorization(authorization);

                    Object result = StytchB2BClient.getSessions().revoke(params, options);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: |
            // POST /v1/b2b/sessions/revoke
            package com.example

            import com.stytch.java.b2b.StytchB2BClient
            import com.stytch.java.b2b.models.sessions.RevokeRequest
            import com.stytch.java.b2b.models.sessions.RevokeRequestOptions
            import com.stytch.java.common.methodoptions.Authorization

            fun main() {
                StytchB2BClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchB2BClient.sessions.revoke(
                            RevokeRequest(
                                memberId = "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
                            ),
                            RevokeRequestOptions(
                                Authorization(
                                    sessionToken = "${sessionToken}",
                                ),
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // POST /v1/b2b/sessions/revoke
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              member_id: "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
            };

            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };

            client.sessions.revoke(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->sessions->revoke([
                'member_id' => 'member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f',
            ], [
                    'authorization' => ['session_token' => '${sessionToken}'],

            ]);
        - lang: python
          label: Python
          source: |
            # POST /v1/b2b/sessions/revoke
            from stytch import B2BClient
            from stytch.b2b.models.sessions import RevokeRequestOptions
            from stytch.shared.method_options import Authorization

            client = B2BClient(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.sessions.revoke(
                member_id="member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
                method_options=RevokeRequestOptions(
                    authorization=Authorization(
                        session_token="${sessionToken}",
                    ),
                ),
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # POST /v1/b2b/sessions/revoke
            require 'stytch'

            client = StytchB2B::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.sessions.revoke(
              member_id: "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
              method_options: StytchB2B::Sessions::RevokeRequestOptions.new(
                authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
              )
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // POST /v1/b2b/sessions/revoke
            use stytch::b2b::client::Client;
            use stytch::b2b::sessions::RevokeRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.sessions.revoke(
                    RevokeRequest{
                        member_id: Some(String::from("member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f")),
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # POST /v1/b2b/sessions/revoke
            curl --request POST \
              --url https://test.stytch.com/v1/b2b/sessions/revoke \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -H "X-Stytch-Member-Session: ${sessionToken}" \
              -d '{
                "member_id": "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f"
              }'
components:
  schemas:
    api_b2b_session_v1_RevokeRequest:
      type: object
      properties:
        member_session_id:
          type: string
          description: >-
            Globally unique UUID that identifies a specific Session in the
            Stytch API. The `member_session_id` is critical to perform
            operations on an Session, so be sure to preserve this value.
        session_token:
          type: string
          description: A secret token for a given Stytch Session.
        session_jwt:
          type: string
          description: The JSON Web Token (JWT) for a given Stytch Session.
        member_id:
          type: string
          description: >-
            Globally unique UUID that identifies a specific Member. The
            `member_id` is critical to perform operations on a Member, so be
            sure to preserve this value.
      description: Request type
    api_b2b_session_v1_RevokeResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
      required:
        - request_id
        - status_code
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````